--classicons
hooksecurefunc("UnitFramePortrait_Update",function(self)
	if self.portrait then
		if UnitIsPlayer(self.unit) then                         
			local t = CLASS_ICON_TCOORDS[select(2, UnitClass(self.unit))]
			if t then
				self.portrait:SetTexture("Interface\\TargetingFrame\\UI-Classes-Circles")
				self.portrait:SetTexCoord(unpack(t))
			end
		else
			self.portrait:SetTexCoord(0,1,0,1)
		end
	end
end)

--combat icon
local CF=CreateFrame("Frame")
CF:RegisterEvent("PLAYER_LOGIN")
CF:SetScript("OnEvent", function(self, event)

CTT=CreateFrame("Frame")
CTT:SetPoint("CENTER",TargetFramePortrait,0,0)
CTT:SetSize(20,20)
CTT.t=CTT:CreateTexture(nil,BORDER)
CTT.t:SetAllPoints()
CTT.t:SetTexture("Interface\\PvPRankBadges\\PvPRank06")
CTT.t:SetVertexColor(1,.02,.01)
CTT:Hide()

local function FrameOnUpdate(self) if UnitAffectingCombat("target") then self:Show() else self:Hide() end end
local g = CreateFrame("Frame")
g:SetScript("OnUpdate", function(self) FrameOnUpdate(CTT) end)

CFT=CreateFrame("Frame")
CFT:SetPoint("CENTER",FocusFramePortrait,0,0)
CFT:SetSize(20,20)
CFT.t=CFT:CreateTexture(nil,BORDER)
CFT.t:SetAllPoints()
CFT.t:SetTexture("Interface\\PvPRankBadges\\PvPRank06")
CFT.t:SetVertexColor(1,.02,.01)
CFT:Hide()

local function FrameOnUpdate(self) if UnitAffectingCombat("focus") then self:Show() else self:Hide() end end
local g = CreateFrame("Frame")
g:SetScript("OnUpdate", function(self) FrameOnUpdate(CFT) end)

end)

--scaling
PlayerFrame:SetScale(1.2)
TargetFrame:SetScale(1.2)
FocusFrame:SetScale(1.2)

--hide stuff
hooksecurefunc("PlayerFrame_UpdateStatus", function()
	if IsResting("player") then
	   	PlayerStatusTexture:Hide()
	   	PlayerRestGlow:Hide()
		PlayerStatusGlow:Hide()
		PlayerFrameGroupIndicator:Hide()
		PlayerPetFrame:Hide()
	end
 end)

 PlayerFrame.name:Hide() 
 PlayerHitIndicator:ClearAllPoints()


--move healthtext
PlayerFrameHealthBarTextRight:SetPoint("TOPRIGHT", PlayerFrame, -7,-31)
PlayerFrameHealthBarTextLeft:SetPoint("TOPLEFT", PlayerFrame, 108,-31)
PlayerFrameHealthBarText:SetPoint("TOPLEFT", PlayerFrame, 108,-31)
PlayerFrameManaBarText:SetPoint("TOPLEFT", PlayerFrame, 108,-54)

--move combo point bar
local function yOffset(Frame, y)
	local P = { Frame:GetPoint() }
	Frame:SetPoint(P[1], P[2], P[3], P[4], y)
end

ComboPointPlayerFrame.ComboBonus1:SetAlpha(0)
ComboPointPlayerFrame.ComboBonus2:SetAlpha(0)
ComboPointPlayerFrame.ComboBonus3:SetAlpha(0)
ComboPointPlayerFrame.ComboBonus4:SetAlpha(0)
ComboPointPlayerFrame.ComboBonus5:SetAlpha(0)
ComboPointPlayerFrame.Background:Hide()
hooksecurefunc(ComboPointPlayerFrame, "SetPoint", function(ComboPointPlayerFrame) yOffset(ComboPointPlayerFrame, 91) end)
